Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.image
Class CSequenceToMemory

    java.lang.Object
      |
      +--quicktime.app.image.CSequenceToMemory

public class CSequenceToMemory
extends java.lang.Object

This class provides a mechanism for compressing a sequence of images to memory. The compressed images are maintained internally. Use the DSequenceFromMemory class to decompress a sequence of images from a CSequenceToMemory object.

When compressing a sequence of images you want to keep in memory you would use this class and use the compressFrame call that belongs here. This class will then handle the memory that the compressed image is loaded into. If you call one of the super compressFrame calls then this class does NOT know about the compressed data.

See Also:
  `DSequenceFromMemory`

Constructor Summary
`CSequenceToMemory(int numFrames)` Create an instance of this class in order to compress a sequence of frames and store them in memory.
`CSequenceToMemory(QDGraphics src, QDRect srcRect, int depth, int cType, CodecComponent codec, int spatialQuality, int temporalQuality, int keyFrameRate, ColorTable cTab, int flags)` Create an instance of this class in order to compress a sequence of frames and store them in memory.

Method Summary
`void` | `begin(QDGraphics src, QDRect srcRect, int colorDepth, int cType, CodecComponent codec, int spatialQuality, int temporalQuality, int keyFrameRate, ColorTable clut, int flags)` Signals the beginning of the process of compressing a sequence of frames.
`int` | `compressFrame(QDGraphics src, QDRect srcRect, int flags)` Your application calls this method to compress one of a sequence of frames.
`ImageDescription` | `getDescription()` This method should return an ImageDescription that describes the image data that the class contains.
`CSequence` | `getSequence()` Returns the CSequence object - this may return null if you haven't called created the sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSequenceToMemory

    public CSequenceToMemory(int numFrames)

  Create an instance of this class in order to compress a sequence of frames and store them in memory. You must call begin before you use any other methods
  Parameters:
    `numFrames` - the number of Frames that the compression will hold
  See Also:
    `quicktime.std.image.CSequence.begin`

### CSequenceToMemory

    public CSequenceToMemory(QDGraphics src,
                             QDRect srcRect,
                             int depth,
                             int cType,
                             CodecComponent codec,
                             int spatialQuality,
                             int temporalQuality,
                             int keyFrameRate,
                             ColorTable cTab,
                             int flags)
                      throws QTException

  Create an instance of this class in order to compress a sequence of frames and store them in memory.
  Parameters:
    `src` - a QDGraphics containing the PixMap object containing the source data to be compressed
    `srcRect` - a QDRect defining the portion of the image to compress
    `depth` - the depth of the color or 0 for the current device's depth
    `cType` - the compressor type
    `codec` - the compressor identifier
    `spatialQuality` - the desired compressed image quality
    `temporalQuality` - the desired sequence temporal quality
    `keyFrameRate` - the maximum number of frames allowed between key frames
    `cTab` - the ColorTable or null that is used in the compression
    `flags` - flags providing further control information

Method Detail

### begin

    public void begin(QDGraphics src,
                      QDRect srcRect,
                      int colorDepth,
                      int cType,
                      CodecComponent codec,
                      int spatialQuality,
                      int temporalQuality,
                      int keyFrameRate,
                      ColorTable clut,
                      int flags)
               throws QTException

  Signals the beginning of the process of compressing a sequence of frames.
  Parameters:
    `src` - a QDGraphics containing the PixMap object containing the source data to be compressed
    `srcRect` - a QDRect defining the portion of the image to compress
    `colorDepth` - the depth at which the sequence is likely to be viewed
    `cType` - the compressor type
    `codec` - the compressor identifier
    `spatialQuality` - the desired compressed image quality
    `temporalQuality` - the desired sequence temporal quality
    `keyFrameRate` - the maximum number of frames allowed between key frames
    `clut` - a custum color lookup table
    `flags` - flags providing further control information

### compressFrame

    public int compressFrame(QDGraphics src,
                             QDRect srcRect,
                             int flags)
                      throws QTException

  Your application calls this method to compress one of a sequence of frames. The similarity value is directly returned by this method.
  Note: See the QTImage class and Inside Mac QuickTime documentation for more information on valid flag values.
  Parameters:
    `src` - a QDGraphics containing the PixMap that contains the image to be compressed
    `srcRect` - a QDRect defining the portion of the image to compress
    `flags` - flags providing further control information
  Returns:
    the similarity value

### getDescription

    public ImageDescription getDescription()
                                    throws QTException

  This method should return an ImageDescription that describes the image data that the class contains.
  Returns:
    the ImageDescription of an Image

### getSequence

    public CSequence getSequence()

  Returns the CSequence object - this may return null if you haven't called created the sequence.
  Returns:
    the sequence

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD